package com.ruoyi.doubledefense.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.GnhzBaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 隐患排查任务清单对象 tb_check_task_inventory
 *
 * @author ruoyi
 * @date 2023-08-03
 */
@TableName("tb_check_task_inventory")
public class CheckTaskInventory extends GnhzBaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键UUID
     */
    private String id;

    /**
     * 管控项(风险管控措施)
     */
    @Excel(name = "管控项(风险管控措施)")
    @TableField(exist = false)
    private String riskEeasureItem;

    /**
     * 隐患排查任务UUID
     */
    @Excel(name = "隐患排查任务UUID")
    private String checkTaskId;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date startDate;

    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date endDate;

    /**
     * 排查状态：0未排查，1已排查
     */
    @Excel(name = "排查状态：0未排查，1已排查")
    private Long status;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remarkInfo;


    //    @Excel(name = "开始时间查询条件大于等于")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(exist = false)
    private Date startDateGt;

    //    @ApiModelProperty("开始时间查询条件小于等于")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(exist = false)
    private Date startDateLt;

    //    @ApiModelProperty("结束时间查询条件大于等于")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(exist = false)
    private Date endDateGt;

    //    @ApiModelProperty("结束时间查询条件小于等于")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(exist = false)
    private Date endDateLt;

    /**
     * 巡检用户：tb_app_login.id
     */
    private Long checkUserId;
    /**
     * 巡检时间
     */
    private Date checkTime;

    /**
     * 岗位ID集合（排查措施关联的岗位）
     */
    @TableField(exist = false)
    List<Long> postIdList;


    public Long getCheckUserId() {
        return checkUserId;
    }

    public void setCheckUserId(Long checkUserId) {
        this.checkUserId = checkUserId;
    }

    public Date getCheckTime() {
        return checkTime;
    }

    public void setCheckTime(Date checkTime) {
        this.checkTime = checkTime;
    }

    public List<Long> getPostIdList() {
        return postIdList;
    }

    public void setPostIdList(List<Long> postIdList) {
        this.postIdList = postIdList;
    }

    public Date getStartDateLt() {
        return startDateLt;
    }

    public void setStartDateLt(Date startDateLt) {
        this.startDateLt = startDateLt;
    }

    public Date getEndDateGt() {
        return endDateGt;
    }

    public void setEndDateGt(Date endDateGt) {
        this.endDateGt = endDateGt;
    }

    public Date getEndDateLt() {
        return endDateLt;
    }

    public void setEndDateLt(Date endDateLt) {
        this.endDateLt = endDateLt;
    }

    public Date getStartDateGt() {
        return startDateGt;
    }

    public void setStartDateGt(Date startDateGt) {
        this.startDateGt = startDateGt;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setCheckTaskId(String checkTaskId) {
        this.checkTaskId = checkTaskId;
    }

    public String getCheckTaskId() {
        return checkTaskId;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setStatus(Long status) {
        this.status = status;
    }

    public Long getStatus() {
        return status;
    }

    public void setRemarkInfo(String remarkInfo) {
        this.remarkInfo = remarkInfo;
    }

    public String getRemarkInfo() {
        return remarkInfo;
    }

    public String getRiskEeasureItem() {
        return riskEeasureItem;
    }

    public void setRiskEeasureItem(String riskEeasureItem) {
        this.riskEeasureItem = riskEeasureItem;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("riskEeasureItem", getRiskEeasureItem())
                .append("checkTaskId", getCheckTaskId())
                .append("startDate", getStartDate())
                .append("endDate", getEndDate())
                .append("status", getStatus())
                .append("remarkInfo", getRemarkInfo())
                .append("isDel", getIsDel())
                .append("createDate", getCreateDate())
                .append("createUserId", getCreateUserId())
                .append("updateDate", getUpdateDate())
                .append("updateUserId", getUpdateUserId())
                .append("companyCode", getCompanyCode())
                .toString();
    }
}
